Subject: [BUG] Circular dependency introduced in commit 86f6cf4127

From: Jeff Mahoney <[email-masked]>
Date: Wed, 25 Jun 2014 11:44:34 -0400

Hi guys -

Commit 86f6cf4127 (net: of_mdio: add of_mdiobus_link_phydev())
introduced a circular dependency between libphy and of_mdio.

depmod: ERROR: <modroot>/kernel/drivers/net/phy/libphy.ko in
dependency cycle!
depmod: ERROR: <modroot>/kernel/drivers/of/of_mdio.ko in dependency cycle!

- -Jeff

- -- 
Jeff Mahoney
SUSE Labs